libmpdclient 2.9

- Main Page
- Classes
- Files

- File List
- File Members

Functions
password.h File Reference

MPD client library. More...

Go to the source code of this file.

## Functions
bool | mpd_send_password (struct mpd_connection *connection, const char *password)
bool | mpd_run_password (struct mpd_connection *connection, const char *password)

## Detailed Description

MPD client library.

Password authentication.

Do not include this header directly. Use mpd/client.h instead.

Definition in file password.h.

## Function Documentation

bool mpd_send_password | ( | struct mpd_connection * | connection,
|  | const char * | password
| ) |  |

Sends the password to MPD, to gain more privileges.

bool mpd_run_password | ( | struct mpd_connection * | connection,
|  | const char * | password
| ) |  |

Sends the password to MPD and receives its response.

Returns
  true on success, false on failure